import { action, makeObservable, observable } from "mobx";

export class CalculateStore {
  constructor() {
    makeObservable(this);
  }

  @observable
  showOperatePermission: boolean = false;

  @action
  setgPermission = (permission: boolean) => {
    this.showOperatePermission = permission;
  };
}

export const calculateStore = new CalculateStore();
